From 62da0319659c6d616c3ddfd3efca24745369b0d1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 06:53:15 +0000
Subject: [PATCH 2014/2232] Test a struct definition containing lifetimes and derives


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index d07ff45..be19697 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -80,6 +80,11 @@ pub mod ffi {
         a: [i32; 4],
     }
 
+    #[derive(Copy, Clone, Debug, Default, Eq, Hash, Ord, PartialEq, PartialOrd)]
+    pub struct StructWithLifetime<'a> {
+        s: &'a str,
+    }
+
     unsafe extern "C++" {
         include!("tests/ffi/tests.h");
 

